using System;

namespace SmallInjectorDemo
{
    /// <summary>
    /// Implementation of <see cref="IServiceTwo"/>.
    /// </summary>
    public class ServiceTwo : IServiceTwo
    {
        private const string MyName = nameof(ServiceTwo);
        private readonly Guid _guid;

        /// <summary>
        /// Creates a new instance of <see cref="ServiceTwo"/>.
        /// </summary>
        public ServiceTwo()
        {
            _guid = Guid.NewGuid();
            Console.WriteLine(MyName + ".ctor\t\tId: " + _guid);
        }

        /// <inheritdoc />
        public override string ToString() => MyName + ".ToString()\tId: " + _guid;
    }

    /// <summary>
    /// Interface for service two.
    /// </summary>
    public interface IServiceTwo
    {

    }
}